package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF671 extends MwfRequest<MWF671, MWF671Response> {

    @Parameter(name = "APVSTUPNI")
    MWF671 apvstupni(Long apvstupni);
    @Parameter(name = "CISLOSMLOUVY")
    MWF671 cislosmlouvy(String cislosmlouvy);
    @Parameter(name = "DATUMDO")
    MWF671 datumdo(java.util.Date datumdo);
    @Parameter(name = "DATUMOD")
    MWF671 datumod(java.util.Date datumod);
    @Parameter(name = "ICO")
    MWF671 ico(String ico);
    @Parameter(name = "OM")
    MWF671 om(String om);
    @Parameter(name = "PORADCE")
    MWF671 poradce(String poradce);
    @Parameter(name = "PRIJMENI")
    MWF671 prijmeni(String prijmeni);
    @Parameter(name = "RODNECISLO")
    MWF671 rodnecislo(String rodnecislo);
    @Parameter(name = "STAVZADOSTI")
    MWF671 stavzadosti(Long stavzadosti);
    @Parameter(name = "STAVZADOSTIJEDNODUCHY")
    MWF671 stavzadostijednoduchy(String stavzadostijednoduchy);
    @Parameter(name = "TYPPRODUKTUID")
    MWF671 typproduktuid(String typproduktuid);
}
